Agent Invocations
Get an agent invocation
Retrieves the invocation with the given ID. Returns 404 if the agent does not support this operation or if the invocation ID is not found.
Paramètres de chemin d’accès
agent_name
string
obligatoire
The name of the agent.
invocation_id
string
obligatoire
The unique identifier of the invocation.
Paramètres d’en-tête
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Réponses
The request has succeeded.
En-têtes
x-agent-session-id
string
obligatoire
Session ID for this invocation. Returns the session ID associated with the invocation.
Corps
Requête
GET /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id} HTTP/1.1
Response
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json